<?php

namespace Daylight\Core\Events;

use Daylight\Core\Models\Order;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class OrderCreated
{
    use Dispatchable, SerializesModels;

    public function __construct(
        public Order $order
    ) {
        //
    }

    public function getOrder(): Order
    {
        return $this->order;
    }
}
